<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";
	$id_transaccion = $_POST['id_transaccion'];

	$datos = " Ingresa a marcar_transaccion_ticket con id_transaccion=".$id_transaccion;	
		insertarLog($datos,$id_aplicacion);

	$sql = "update ";
	$sql .= "transacciones ";
	$sql .= "set ";
	$sql .= "impreso=ifnull(impreso,0)+1 ";
	$sql .= "where ";
	$sql .= "id_transaccion=".$id_transaccion;
	
	$resultado = $conexion->query($sql); 

    if($resultado == false)
    {
    	$datos = " Error al actualizar transaccion ".$id_transaccion;	
		insertarLog($datos,$id_aplicacion);
        echo response(1,"Error al actualizar transaccion","");
        return;
    }

    $datos = " Se marco la transaccion ".$id_transaccion;	
		insertarLog($datos,$id_aplicacion);
    response(0,"OK","");
    return;

    function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}

?>